%{?nodejs_find_provides_and_requires}

%global packagename is-date-object
%global enable_tests 1

Name:		nodejs-is-date-object
Version:	1.0.1
Release:	1%{?dist}
Summary:	Is this value a JS Date object?

License:	MIT
URL:		https://github.com/ljharb/is-date-object.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

Requires:	nodejs

%description
Is this value a JS Date object? This module works cross-realm/iframe, and despite ES6 @@toStringTag.


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.1-1
- Initial packaging
